PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::EmptyBoundaryImpl::IteratorImpl Struct Reference

`#include <plask/mesh/boundary.hpp>`

Inheritance diagram for plask::EmptyBoundaryImpl::IteratorImpl:
[legend]
Collaboration diagram for plask::EmptyBoundaryImpl::IteratorImpl:
[legend]

## Public Member Functions
std::size_t | dereference () const override
void | increment () override
| Iterate to next value.
bool | equal (const typename BoundaryNodeSetImpl::IteratorImpl &PLASK_UNUSED(other)) const override
std::unique_ptr< typename BoundaryNodeSetImpl::IteratorImpl > | clone () const override
| Clone this iterator.
Public Member Functions inherited from plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >
virtual | ~PolymorphicForwardIteratorImpl ()
| Virtual destructor, do nothing.
virtual bool | equal (const PolymorphicForwardIteratorImpl &other) const =0
| Check if this is equal to `other`.

## Additional Inherited Members
Public Types inherited from plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >
typedef ValueT | value_type
| Type of objects pointed by the iterator.
typedef ReferenceT | reference
| Type to represent a reference to an object pointed by the iterator.

## Detailed Description

Definition at line 256 of file boundary.hpp.

## Member Function Documentation

## ◆ clone()

std::unique_ptr< typename BoundaryNodeSetImpl::IteratorImpl > plask::EmptyBoundaryImpl::IteratorImpl::clone | ( |  | ) | const
| inline override virtual

Clone this iterator.

Returns
  clone of `*this`, allocated with new operator (caller is responsible for deleting it)

Implements plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >.

Definition at line 268 of file boundary.hpp.

## ◆ dereference()

std::size_t plask::EmptyBoundaryImpl::IteratorImpl::dereference | ( |  | ) | const
| inline override virtual

Returns
  current value

Implements plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >.

Definition at line 258 of file boundary.hpp.

## ◆ equal()

bool plask::EmptyBoundaryImpl::IteratorImpl::equal | ( | const typename BoundaryNodeSetImpl::IteratorImpl & | PLASK_UNUSEDother | ) | const
| inline override

Definition at line 264 of file boundary.hpp.

## ◆ increment()

void plask::EmptyBoundaryImpl::IteratorImpl::increment | ( |  | ) |
| inline override virtual

Iterate to next value.

Implements plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >.

Definition at line 262 of file boundary.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary.hpp